/*!
 * @file network_turret.h
 * @brief description
*/

#ifndef _NETWORK_TURRET_H
#define _NETWORK_TURRET_H

#include "npcs/npc.h"

class Weapon;

//! A Class to ...
class NetworkTurret : public NPC
{

public:
  NetworkTurret(const TiXmlElement* root = NULL);
  virtual ~NetworkTurret();

  virtual void loadParams(const TiXmlElement* root);

  virtual void postSpawn ();
  virtual void leftWorld ();

  virtual void destroy(WorldEntity* killer);

  virtual void draw() const;
  virtual void tick(float time);

private:
  void init();

private:
  PNode  weaponHolder;
  Weapon *weapon;
};

#endif /* _NETWORK_TURRET_H */
